Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
20c4::/16
First address
20c4::
Last address
20c4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
20c4:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
4.c.0.2.ip6.arpa
Split into smaller subnets/24

20c4::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
120c4::/2420c4:ff:ffff:ffff:ffff:ffff:ffff:ffff
220c4:100::/2420c4:1ff:ffff:ffff:ffff:ffff:ffff:ffff
320c4:200::/2420c4:2ff:ffff:ffff:ffff:ffff:ffff:ffff
420c4:300::/2420c4:3ff:ffff:ffff:ffff:ffff:ffff:ffff
520c4:400::/2420c4:4ff:ffff:ffff:ffff:ffff:ffff:ffff
620c4:500::/2420c4:5ff:ffff:ffff:ffff:ffff:ffff:ffff
720c4:600::/2420c4:6ff:ffff:ffff:ffff:ffff:ffff:ffff
820c4:700::/2420c4:7ff:ffff:ffff:ffff:ffff:ffff:ffff
920c4:800::/2420c4:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1020c4:900::/2420c4:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1120c4:a00::/2420c4:aff:ffff:ffff:ffff:ffff:ffff:ffff
1220c4:b00::/2420c4:bff:ffff:ffff:ffff:ffff:ffff:ffff
1320c4:c00::/2420c4:cff:ffff:ffff:ffff:ffff:ffff:ffff
1420c4:d00::/2420c4:dff:ffff:ffff:ffff:ffff:ffff:ffff
1520c4:e00::/2420c4:eff:ffff:ffff:ffff:ffff:ffff:ffff
1620c4:f00::/2420c4:fff:ffff:ffff:ffff:ffff:ffff:ffff
1720c4:1000::/2420c4:10ff:ffff:ffff:ffff:ffff:ffff:ffff
1820c4:1100::/2420c4:11ff:ffff:ffff:ffff:ffff:ffff:ffff
1920c4:1200::/2420c4:12ff:ffff:ffff:ffff:ffff:ffff:ffff
2020c4:1300::/2420c4:13ff:ffff:ffff:ffff:ffff:ffff:ffff
2120c4:1400::/2420c4:14ff:ffff:ffff:ffff:ffff:ffff:ffff
2220c4:1500::/2420c4:15ff:ffff:ffff:ffff:ffff:ffff:ffff
2320c4:1600::/2420c4:16ff:ffff:ffff:ffff:ffff:ffff:ffff
2420c4:1700::/2420c4:17ff:ffff:ffff:ffff:ffff:ffff:ffff
2520c4:1800::/2420c4:18ff:ffff:ffff:ffff:ffff:ffff:ffff
2620c4:1900::/2420c4:19ff:ffff:ffff:ffff:ffff:ffff:ffff
2720c4:1a00::/2420c4:1aff:ffff:ffff:ffff:ffff:ffff:ffff
2820c4:1b00::/2420c4:1bff:ffff:ffff:ffff:ffff:ffff:ffff
2920c4:1c00::/2420c4:1cff:ffff:ffff:ffff:ffff:ffff:ffff
3020c4:1d00::/2420c4:1dff:ffff:ffff:ffff:ffff:ffff:ffff
3120c4:1e00::/2420c4:1eff:ffff:ffff:ffff:ffff:ffff:ffff
3220c4:1f00::/2420c4:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3320c4:2000::/2420c4:20ff:ffff:ffff:ffff:ffff:ffff:ffff
3420c4:2100::/2420c4:21ff:ffff:ffff:ffff:ffff:ffff:ffff
3520c4:2200::/2420c4:22ff:ffff:ffff:ffff:ffff:ffff:ffff
3620c4:2300::/2420c4:23ff:ffff:ffff:ffff:ffff:ffff:ffff
3720c4:2400::/2420c4:24ff:ffff:ffff:ffff:ffff:ffff:ffff
3820c4:2500::/2420c4:25ff:ffff:ffff:ffff:ffff:ffff:ffff
3920c4:2600::/2420c4:26ff:ffff:ffff:ffff:ffff:ffff:ffff
4020c4:2700::/2420c4:27ff:ffff:ffff:ffff:ffff:ffff:ffff
4120c4:2800::/2420c4:28ff:ffff:ffff:ffff:ffff:ffff:ffff
4220c4:2900::/2420c4:29ff:ffff:ffff:ffff:ffff:ffff:ffff
4320c4:2a00::/2420c4:2aff:ffff:ffff:ffff:ffff:ffff:ffff
4420c4:2b00::/2420c4:2bff:ffff:ffff:ffff:ffff:ffff:ffff
4520c4:2c00::/2420c4:2cff:ffff:ffff:ffff:ffff:ffff:ffff
4620c4:2d00::/2420c4:2dff:ffff:ffff:ffff:ffff:ffff:ffff
4720c4:2e00::/2420c4:2eff:ffff:ffff:ffff:ffff:ffff:ffff
4820c4:2f00::/2420c4:2fff:ffff:ffff:ffff:ffff:ffff:ffff
4920c4:3000::/2420c4:30ff:ffff:ffff:ffff:ffff:ffff:ffff
5020c4:3100::/2420c4:31ff:ffff:ffff:ffff:ffff:ffff:ffff
5120c4:3200::/2420c4:32ff:ffff:ffff:ffff:ffff:ffff:ffff
5220c4:3300::/2420c4:33ff:ffff:ffff:ffff:ffff:ffff:ffff
5320c4:3400::/2420c4:34ff:ffff:ffff:ffff:ffff:ffff:ffff
5420c4:3500::/2420c4:35ff:ffff:ffff:ffff:ffff:ffff:ffff
5520c4:3600::/2420c4:36ff:ffff:ffff:ffff:ffff:ffff:ffff
5620c4:3700::/2420c4:37ff:ffff:ffff:ffff:ffff:ffff:ffff
5720c4:3800::/2420c4:38ff:ffff:ffff:ffff:ffff:ffff:ffff
5820c4:3900::/2420c4:39ff:ffff:ffff:ffff:ffff:ffff:ffff
5920c4:3a00::/2420c4:3aff:ffff:ffff:ffff:ffff:ffff:ffff
6020c4:3b00::/2420c4:3bff:ffff:ffff:ffff:ffff:ffff:ffff
6120c4:3c00::/2420c4:3cff:ffff:ffff:ffff:ffff:ffff:ffff
6220c4:3d00::/2420c4:3dff:ffff:ffff:ffff:ffff:ffff:ffff
6320c4:3e00::/2420c4:3eff:ffff:ffff:ffff:ffff:ffff:ffff
6420c4:3f00::/2420c4:3fff:ffff:ffff:ffff:ffff:ffff:ffff
6520c4:4000::/2420c4:40ff:ffff:ffff:ffff:ffff:ffff:ffff
6620c4:4100::/2420c4:41ff:ffff:ffff:ffff:ffff:ffff:ffff
6720c4:4200::/2420c4:42ff:ffff:ffff:ffff:ffff:ffff:ffff
6820c4:4300::/2420c4:43ff:ffff:ffff:ffff:ffff:ffff:ffff
6920c4:4400::/2420c4:44ff:ffff:ffff:ffff:ffff:ffff:ffff
7020c4:4500::/2420c4:45ff:ffff:ffff:ffff:ffff:ffff:ffff
7120c4:4600::/2420c4:46ff:ffff:ffff:ffff:ffff:ffff:ffff
7220c4:4700::/2420c4:47ff:ffff:ffff:ffff:ffff:ffff:ffff
7320c4:4800::/2420c4:48ff:ffff:ffff:ffff:ffff:ffff:ffff
7420c4:4900::/2420c4:49ff:ffff:ffff:ffff:ffff:ffff:ffff
7520c4:4a00::/2420c4:4aff:ffff:ffff:ffff:ffff:ffff:ffff
7620c4:4b00::/2420c4:4bff:ffff:ffff:ffff:ffff:ffff:ffff
7720c4:4c00::/2420c4:4cff:ffff:ffff:ffff:ffff:ffff:ffff
7820c4:4d00::/2420c4:4dff:ffff:ffff:ffff:ffff:ffff:ffff
7920c4:4e00::/2420c4:4eff:ffff:ffff:ffff:ffff:ffff:ffff
8020c4:4f00::/2420c4:4fff:ffff:ffff:ffff:ffff:ffff:ffff
8120c4:5000::/2420c4:50ff:ffff:ffff:ffff:ffff:ffff:ffff
8220c4:5100::/2420c4:51ff:ffff:ffff:ffff:ffff:ffff:ffff
8320c4:5200::/2420c4:52ff:ffff:ffff:ffff:ffff:ffff:ffff
8420c4:5300::/2420c4:53ff:ffff:ffff:ffff:ffff:ffff:ffff
8520c4:5400::/2420c4:54ff:ffff:ffff:ffff:ffff:ffff:ffff
8620c4:5500::/2420c4:55ff:ffff:ffff:ffff:ffff:ffff:ffff
8720c4:5600::/2420c4:56ff:ffff:ffff:ffff:ffff:ffff:ffff
8820c4:5700::/2420c4:57ff:ffff:ffff:ffff:ffff:ffff:ffff
8920c4:5800::/2420c4:58ff:ffff:ffff:ffff:ffff:ffff:ffff
9020c4:5900::/2420c4:59ff:ffff:ffff:ffff:ffff:ffff:ffff
9120c4:5a00::/2420c4:5aff:ffff:ffff:ffff:ffff:ffff:ffff
9220c4:5b00::/2420c4:5bff:ffff:ffff:ffff:ffff:ffff:ffff
9320c4:5c00::/2420c4:5cff:ffff:ffff:ffff:ffff:ffff:ffff
9420c4:5d00::/2420c4:5dff:ffff:ffff:ffff:ffff:ffff:ffff
9520c4:5e00::/2420c4:5eff:ffff:ffff:ffff:ffff:ffff:ffff
9620c4:5f00::/2420c4:5fff:ffff:ffff:ffff:ffff:ffff:ffff
9720c4:6000::/2420c4:60ff:ffff:ffff:ffff:ffff:ffff:ffff
9820c4:6100::/2420c4:61ff:ffff:ffff:ffff:ffff:ffff:ffff
9920c4:6200::/2420c4:62ff:ffff:ffff:ffff:ffff:ffff:ffff
10020c4:6300::/2420c4:63ff:ffff:ffff:ffff:ffff:ffff:ffff
10120c4:6400::/2420c4:64ff:ffff:ffff:ffff:ffff:ffff:ffff
10220c4:6500::/2420c4:65ff:ffff:ffff:ffff:ffff:ffff:ffff
10320c4:6600::/2420c4:66ff:ffff:ffff:ffff:ffff:ffff:ffff
10420c4:6700::/2420c4:67ff:ffff:ffff:ffff:ffff:ffff:ffff
10520c4:6800::/2420c4:68ff:ffff:ffff:ffff:ffff:ffff:ffff
10620c4:6900::/2420c4:69ff:ffff:ffff:ffff:ffff:ffff:ffff
10720c4:6a00::/2420c4:6aff:ffff:ffff:ffff:ffff:ffff:ffff
10820c4:6b00::/2420c4:6bff:ffff:ffff:ffff:ffff:ffff:ffff
10920c4:6c00::/2420c4:6cff:ffff:ffff:ffff:ffff:ffff:ffff
11020c4:6d00::/2420c4:6dff:ffff:ffff:ffff:ffff:ffff:ffff
11120c4:6e00::/2420c4:6eff:ffff:ffff:ffff:ffff:ffff:ffff
11220c4:6f00::/2420c4:6fff:ffff:ffff:ffff:ffff:ffff:ffff
11320c4:7000::/2420c4:70ff:ffff:ffff:ffff:ffff:ffff:ffff
11420c4:7100::/2420c4:71ff:ffff:ffff:ffff:ffff:ffff:ffff
11520c4:7200::/2420c4:72ff:ffff:ffff:ffff:ffff:ffff:ffff
11620c4:7300::/2420c4:73ff:ffff:ffff:ffff:ffff:ffff:ffff
11720c4:7400::/2420c4:74ff:ffff:ffff:ffff:ffff:ffff:ffff
11820c4:7500::/2420c4:75ff:ffff:ffff:ffff:ffff:ffff:ffff
11920c4:7600::/2420c4:76ff:ffff:ffff:ffff:ffff:ffff:ffff
12020c4:7700::/2420c4:77ff:ffff:ffff:ffff:ffff:ffff:ffff
12120c4:7800::/2420c4:78ff:ffff:ffff:ffff:ffff:ffff:ffff
12220c4:7900::/2420c4:79ff:ffff:ffff:ffff:ffff:ffff:ffff
12320c4:7a00::/2420c4:7aff:ffff:ffff:ffff:ffff:ffff:ffff
12420c4:7b00::/2420c4:7bff:ffff:ffff:ffff:ffff:ffff:ffff
12520c4:7c00::/2420c4:7cff:ffff:ffff:ffff:ffff:ffff:ffff
12620c4:7d00::/2420c4:7dff:ffff:ffff:ffff:ffff:ffff:ffff
12720c4:7e00::/2420c4:7eff:ffff:ffff:ffff:ffff:ffff:ffff
12820c4:7f00::/2420c4:7fff:ffff:ffff:ffff:ffff:ffff:ffff
12920c4:8000::/2420c4:80ff:ffff:ffff:ffff:ffff:ffff:ffff
13020c4:8100::/2420c4:81ff:ffff:ffff:ffff:ffff:ffff:ffff
13120c4:8200::/2420c4:82ff:ffff:ffff:ffff:ffff:ffff:ffff
13220c4:8300::/2420c4:83ff:ffff:ffff:ffff:ffff:ffff:ffff
13320c4:8400::/2420c4:84ff:ffff:ffff:ffff:ffff:ffff:ffff
13420c4:8500::/2420c4:85ff:ffff:ffff:ffff:ffff:ffff:ffff
13520c4:8600::/2420c4:86ff:ffff:ffff:ffff:ffff:ffff:ffff
13620c4:8700::/2420c4:87ff:ffff:ffff:ffff:ffff:ffff:ffff
13720c4:8800::/2420c4:88ff:ffff:ffff:ffff:ffff:ffff:ffff
13820c4:8900::/2420c4:89ff:ffff:ffff:ffff:ffff:ffff:ffff
13920c4:8a00::/2420c4:8aff:ffff:ffff:ffff:ffff:ffff:ffff
14020c4:8b00::/2420c4:8bff:ffff:ffff:ffff:ffff:ffff:ffff
14120c4:8c00::/2420c4:8cff:ffff:ffff:ffff:ffff:ffff:ffff
14220c4:8d00::/2420c4:8dff:ffff:ffff:ffff:ffff:ffff:ffff
14320c4:8e00::/2420c4:8eff:ffff:ffff:ffff:ffff:ffff:ffff
14420c4:8f00::/2420c4:8fff:ffff:ffff:ffff:ffff:ffff:ffff
14520c4:9000::/2420c4:90ff:ffff:ffff:ffff:ffff:ffff:ffff
14620c4:9100::/2420c4:91ff:ffff:ffff:ffff:ffff:ffff:ffff
14720c4:9200::/2420c4:92ff:ffff:ffff:ffff:ffff:ffff:ffff
14820c4:9300::/2420c4:93ff:ffff:ffff:ffff:ffff:ffff:ffff
14920c4:9400::/2420c4:94ff:ffff:ffff:ffff:ffff:ffff:ffff
15020c4:9500::/2420c4:95ff:ffff:ffff:ffff:ffff:ffff:ffff
15120c4:9600::/2420c4:96ff:ffff:ffff:ffff:ffff:ffff:ffff
15220c4:9700::/2420c4:97ff:ffff:ffff:ffff:ffff:ffff:ffff
15320c4:9800::/2420c4:98ff:ffff:ffff:ffff:ffff:ffff:ffff
15420c4:9900::/2420c4:99ff:ffff:ffff:ffff:ffff:ffff:ffff
15520c4:9a00::/2420c4:9aff:ffff:ffff:ffff:ffff:ffff:ffff
15620c4:9b00::/2420c4:9bff:ffff:ffff:ffff:ffff:ffff:ffff
15720c4:9c00::/2420c4:9cff:ffff:ffff:ffff:ffff:ffff:ffff
15820c4:9d00::/2420c4:9dff:ffff:ffff:ffff:ffff:ffff:ffff
15920c4:9e00::/2420c4:9eff:ffff:ffff:ffff:ffff:ffff:ffff
16020c4:9f00::/2420c4:9fff:ffff:ffff:ffff:ffff:ffff:ffff
16120c4:a000::/2420c4:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
16220c4:a100::/2420c4:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
16320c4:a200::/2420c4:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
16420c4:a300::/2420c4:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
16520c4:a400::/2420c4:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
16620c4:a500::/2420c4:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
16720c4:a600::/2420c4:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
16820c4:a700::/2420c4:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
16920c4:a800::/2420c4:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
17020c4:a900::/2420c4:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
17120c4:aa00::/2420c4:aaff:ffff:ffff:ffff:ffff:ffff:ffff
17220c4:ab00::/2420c4:abff:ffff:ffff:ffff:ffff:ffff:ffff
17320c4:ac00::/2420c4:acff:ffff:ffff:ffff:ffff:ffff:ffff
17420c4:ad00::/2420c4:adff:ffff:ffff:ffff:ffff:ffff:ffff
17520c4:ae00::/2420c4:aeff:ffff:ffff:ffff:ffff:ffff:ffff
17620c4:af00::/2420c4:afff:ffff:ffff:ffff:ffff:ffff:ffff
17720c4:b000::/2420c4:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
17820c4:b100::/2420c4:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
17920c4:b200::/2420c4:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
18020c4:b300::/2420c4:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
18120c4:b400::/2420c4:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
18220c4:b500::/2420c4:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
18320c4:b600::/2420c4:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
18420c4:b700::/2420c4:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
18520c4:b800::/2420c4:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
18620c4:b900::/2420c4:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
18720c4:ba00::/2420c4:baff:ffff:ffff:ffff:ffff:ffff:ffff
18820c4:bb00::/2420c4:bbff:ffff:ffff:ffff:ffff:ffff:ffff
18920c4:bc00::/2420c4:bcff:ffff:ffff:ffff:ffff:ffff:ffff
19020c4:bd00::/2420c4:bdff:ffff:ffff:ffff:ffff:ffff:ffff
19120c4:be00::/2420c4:beff:ffff:ffff:ffff:ffff:ffff:ffff
19220c4:bf00::/2420c4:bfff:ffff:ffff:ffff:ffff:ffff:ffff
19320c4:c000::/2420c4:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
19420c4:c100::/2420c4:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
19520c4:c200::/2420c4:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
19620c4:c300::/2420c4:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
19720c4:c400::/2420c4:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
19820c4:c500::/2420c4:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
19920c4:c600::/2420c4:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
20020c4:c700::/2420c4:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
20120c4:c800::/2420c4:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
20220c4:c900::/2420c4:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
20320c4:ca00::/2420c4:caff:ffff:ffff:ffff:ffff:ffff:ffff
20420c4:cb00::/2420c4:cbff:ffff:ffff:ffff:ffff:ffff:ffff
20520c4:cc00::/2420c4:ccff:ffff:ffff:ffff:ffff:ffff:ffff
20620c4:cd00::/2420c4:cdff:ffff:ffff:ffff:ffff:ffff:ffff
20720c4:ce00::/2420c4:ceff:ffff:ffff:ffff:ffff:ffff:ffff
20820c4:cf00::/2420c4:cfff:ffff:ffff:ffff:ffff:ffff:ffff
20920c4:d000::/2420c4:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
21020c4:d100::/2420c4:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
21120c4:d200::/2420c4:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
21220c4:d300::/2420c4:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
21320c4:d400::/2420c4:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
21420c4:d500::/2420c4:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
21520c4:d600::/2420c4:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
21620c4:d700::/2420c4:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
21720c4:d800::/2420c4:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
21820c4:d900::/2420c4:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
21920c4:da00::/2420c4:daff:ffff:ffff:ffff:ffff:ffff:ffff
22020c4:db00::/2420c4:dbff:ffff:ffff:ffff:ffff:ffff:ffff
22120c4:dc00::/2420c4:dcff:ffff:ffff:ffff:ffff:ffff:ffff
22220c4:dd00::/2420c4:ddff:ffff:ffff:ffff:ffff:ffff:ffff
22320c4:de00::/2420c4:deff:ffff:ffff:ffff:ffff:ffff:ffff
22420c4:df00::/2420c4:dfff:ffff:ffff:ffff:ffff:ffff:ffff
22520c4:e000::/2420c4:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
22620c4:e100::/2420c4:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
22720c4:e200::/2420c4:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
22820c4:e300::/2420c4:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
22920c4:e400::/2420c4:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
23020c4:e500::/2420c4:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
23120c4:e600::/2420c4:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
23220c4:e700::/2420c4:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
23320c4:e800::/2420c4:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
23420c4:e900::/2420c4:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
23520c4:ea00::/2420c4:eaff:ffff:ffff:ffff:ffff:ffff:ffff
23620c4:eb00::/2420c4:ebff:ffff:ffff:ffff:ffff:ffff:ffff
23720c4:ec00::/2420c4:ecff:ffff:ffff:ffff:ffff:ffff:ffff
23820c4:ed00::/2420c4:edff:ffff:ffff:ffff:ffff:ffff:ffff
23920c4:ee00::/2420c4:eeff:ffff:ffff:ffff:ffff:ffff:ffff
24020c4:ef00::/2420c4:efff:ffff:ffff:ffff:ffff:ffff:ffff
24120c4:f000::/2420c4:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
24220c4:f100::/2420c4:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
24320c4:f200::/2420c4:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
24420c4:f300::/2420c4:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
24520c4:f400::/2420c4:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
24620c4:f500::/2420c4:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
24720c4:f600::/2420c4:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
24820c4:f700::/2420c4:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
24920c4:f800::/2420c4:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
25020c4:f900::/2420c4:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
25120c4:fa00::/2420c4:faff:ffff:ffff:ffff:ffff:ffff:ffff
25220c4:fb00::/2420c4:fbff:ffff:ffff:ffff:ffff:ffff:ffff
25320c4:fc00::/2420c4:fcff:ffff:ffff:ffff:ffff:ffff:ffff
25420c4:fd00::/2420c4:fdff:ffff:ffff:ffff:ffff:ffff:ffff
25520c4:fe00::/2420c4:feff:ffff:ffff:ffff:ffff:ffff:ffff
25620c4:ff00::/2420c4:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses